BPTR get_a_lock(char *name, long code);

void unlock(BPTR lock);

void free_all_locks();

void Read_Dirs(char *dir, FILE *f);

void Update(char **dirname, int ndirs);
/* Update the config file with the list of dirs (dirname) of length ndirs */

void Update_Prompt(char *currentdir);
/* Update the concerned field with the new current dir                 */
/* This routine is for users of wshell or such, thar display this name */
/* as the shell prompt.                                                */
/* This trick was previously pointed to me by Henry J. Cobb on Usenet  */
/* for my 'find' program (another great utility of mine :-)).          */
/* Let him be thanked again!                                           */

void Get_Real_Name(BPTR lock, char *result);
/* This is a very useful function! Put in result path of lock */
/* Assume lock is not null */
/* Result always device:dir/dir/...   */

struct Tree_t *Build_Tree();

void Change_Dir(char *dir, int occ);
/* The main function to change to the fragment of dir given,  */
/* to the occ'th occurence found in the config file */
/* New 1.3: first, try to cd right into 'dir' */

void Show_Ambiguities(char *dir);
/* Display the directory of the volume in the window */

void Display_Window();
/* Main routine for the graphic display */
