
struct NewScreen NewScreenStructure = {
   0,0,  /* screen XY origin relative to View */
   640,200, /* screen width and height */
   2, /* screen depth (number of bitplanes) */
   0,1,  /* detail and block pens */
   HIRES,   /* display modes for this screen */
   CUSTOMSCREEN,  /* screen type */
   NULL, /* pointer to default screen font */
   NULL, /* screen title */
   NULL, /* first in list of custom screen gadgets */
   NULL  /* pointer to custom BitMap structure */
};

#define NEWSCREENSTRUCTURE NewScreenStructure

USHORT Palette[] = {
   0x0000,  /* color #0 */
   0x0FFF,  /* color #1 */
   0x0900,  /* color #2 */
   0x00AB   /* color #3 */
#define PaletteColorCount 4
};

#define PALETTE Palette

SHORT w1BorderVectors1[] = {
   0,0,
   53,0,
   53,24,
   0,24,
   0,0
};
struct Border w1Border1 = {
   -1,-1,   /* XY origin relative to container TopLeft */
   3,0,JAM1,   /* front pen, back pen and drawmode */
   5, /* number of XY vectors */
   w1BorderVectors1, /* pointer to XY vectors */
   NULL  /* next border in list */
};

struct IntuiText w1IText1 = {
   3,0,JAM2,   /* front and back text pens, drawmode and fill byte */
   10,8, /* XY origin relative to container TopLeft */
   NULL, /* font pointer or NULL for default */
   "dh0:",  /* pointer to text */
   NULL  /* next IntuiText structure */
};

struct Gadget w1Gadget2 = {
   NULL, /* next gadget */
   547,25,  /* origin XY of hit box relative to window TopLeft */
   52,23,   /* hit box width and height */
   NULL, /* gadget flags */
   RELVERIFY,  /* activation flags */
   BOOLGADGET, /* gadget type flags */
   (APTR)&w1Border1, /* gadget border or image to be rendered */
   NULL, /* alternate imagery for selection */
   &w1IText1,  /* first IntuiText structure */
   NULL, /* gadget mutual-exclude long word */
   NULL, /* SpecialInfo structure */
   2, /* user-definable data */
   NULL  /* pointer to user-definable data */
};

struct PropInfo w1w1Gadget1SInfo = {
   AUTOKNOB+FREEVERT,   /* PropInfo flags */
   0,0,  /* horizontal and vertical pot values */
   -1,-1,   /* horizontal and vertical body values */
};

struct Image w1Image1 = {
   0,0,  /* XY origin relative to container TopLeft */
   8,181,   /* Image width and height in pixels */
   0, /* number of bitplanes in Image */
   NULL, /* pointer to ImageData */
   0x0000,0x0000, /* PlanePick and PlaneOnOff */
   NULL  /* next Image structure */
};

struct Gadget w1Gadget1 = {
   &w1Gadget2, /* next gadget */
   5,12, /* origin XY of hit box relative to window TopLeft */
   16,185,  /* hit box width and height */
   NULL, /* gadget flags */
   RELVERIFY,   /* activation flags */
   PROPGADGET, /* gadget type flags */
   (APTR)&w1Image1,  /* gadget border or image to be rendered */
   NULL, /* alternate imagery for selection */
   NULL, /* first IntuiText structure */
   NULL, /* gadget mutual-exclude long word */
   (APTR)&w1w1Gadget1SInfo,   /* SpecialInfo structure */
   1, /* user-definable data */
   NULL  /* pointer to user-definable data */
};

#define w1GadgetList1 w1Gadget1

struct NewWindow w1NewWindowStructure1 = {
   0,0,  /* window XY origin relative to TopLeft of screen */
   640,200, /* window width and height */
   0,1,  /* detail and block pens */
   MOUSEBUTTONS+GADGETUP+CLOSEWINDOW+RAWKEY, /* IDCMP flags */
   WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,  /* other window flags */
   &w1Gadget1, /* first gadget in gadget list */
   NULL, /* custom CHECKMARK imagery */
   "CCD 2.0     by Cdric BEUST",   /* window title */
   NULL, /* custom screen pointer */
   NULL, /* custom bitmap */
   5,5,  /* minimum width and height */
   -1,-1,   /* maximum width and height */
   CUSTOMSCREEN   /* destination screen type */
};


/* end of PowerWindows source generation */
